#ifndef __GIL_H__
#define __GIL_H__

#define __GIL_OPENGL_ONLY__
#ifdef __GIL_OPENGL_ONLY__

/*** Windows headers ***/
#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#undef WIN32_LEAN_AND_MEAN
#include <winnt.h>
#endif /*WIN32*/



#include <GL/gl.h>
#include <GL/glu.h>
//#include <GL/glut.h>

#define gilSetOutputFile(outputFile) 

//////////////////////////////////////////////////
// OpenGL Interface -- "GL/gl.h"
//
#define gilAccum(op, value) glAccum(op, value)
#define gilAlphaFunc(func, ref) glAlphaFunc(func, ref)
#define gilAreTexturesResidentEXT(n, textures, residences) glAreTexturesResidentEXT(n, textures, residences)
#define gilArrayElementEXT(i) glArrayElementEXT(i)
#define gilBegin(mode) glBegin(mode)

#if defined (_HPUX_SOURCE) || defined (WIN32)
#define gilBindTexture(target, texture) glBindTexture(target, texture)
#else // _HPUX_SOURCE, win32
#define gilBindTexture(target, texture) glBindTextureEXT(target, texture)
#endif // _HPUX_SOURCE, win32

#define gilBitmap(width, height, xorig, yorig, xmove, ymove, bitmap) glBitmap(width, height, xorig, yorig, xmove, ymove, bitmap)
#define gilBlendColorEXT(red, green, blue, alpha) glBlendColorEXT(red, green, blue, alpha)
#define gilBlendEquationEXT(mode) glBlendEquationEXT(mode)
#define gilBlendFunc(sfactor, dfactor) glBlendFunc(sfactor, dfactor)
#define gilCallList(list) glCallList(list)
#define gilCallLists(n, type, lists) glCallLists(n, type, lists)
#define gilClear(mask) glClear(mask)
#define gilClearAccum(red, green, blue, alpha) glClearAccum(red, green, blue, alpha)
#define gilClearColor(red, green, blue, alpha) glClearColor(red, green, blue, alpha)
#define gilClearDepth(depth) glClearDepth(depth)
#define gilClearIndex(c) glClearIndex(c)
#define gilClearStencil(s) glClearStencil(s)
#define gilClipPlane(plane, equation) glClipPlane(plane, equation)
#define gilColor3b(red, green, blue) glColor3b(red, green, blue)
#define gilColor3bv(v) glColor3bv(v)
#define gilColor3d(red, green, blue) glColor3d(red, green, blue)
#define gilColor3dv(v) glColor3dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilColor3f(red, green, blue) glColor3f(red, green, blue)
#define gilColor3fv(v) glColor3fv(v)
//#define gilColor3f(red, green, blue) glColor3d(red, green, blue)
//#define gilColor3fv(v) glColor3dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilColor3i(red, green, blue) glColor3i(red, green, blue)
#define gilColor3iv(v) glColor3iv(v)
#define gilColor3s(red, green, blue) glColor3s(red, green, blue)
#define gilColor3sv(v) glColor3sv(v)
#define gilColor3ub(red, green, blue) glColor3ub(red, green, blue)
#define gilColor3ubv(v) glColor3ubv(v)
#define gilColor3ui(red, green, blue) glColor3ui(red, green, blue)
#define gilColor3uiv(v) glColor3uiv(v)
#define gilColor3us(red, green, blue) glColor3us(red, green, blue)
#define gilColor3usv(v) glColor3usv(v)
#define gilColor4b(red, green, blue, alpha) glColor4b(red, green, blue, alpha)
#define gilColor4bv(v) glColor4bv(v)
#define gilColor4d(red, green, blue, alpha) glColor4d(red, green, blue, alpha)
#define gilColor4dv(v) glColor4dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilColor4f(red, green, blue, alpha) glColor4f(red, green, blue, alpha)
#define gilColor4fv(v) glColor4fv(v)
//#define gilColor4f(red, green, blue, alpha) glColor4d(red, green, blue, alpha)
//#define gilColor4fv(v) glColor4dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilColor4i(red, green, blue, alpha) glColor4i(red, green, blue, alpha)
#define gilColor4iv(v) glColor4iv(v)
#define gilColor4s(red, green, blue, alpha) glColor4s(red, green, blue, alpha)
#define gilColor4sv(v) glColor4sv(v)
#define gilColor4ub(red, green, blue, alpha) glColor4ub(red, green, blue, alpha)
#define gilColor4ubv(v) glColor4ubv(v)
#define gilColor4ui(red, green, blue, alpha) glColor4ui(red, green, blue, alpha)
#define gilColor4uiv(v) glColor4uiv(v)
#define gilColor4us(red, green, blue, alpha) glColor4us(red, green, blue, alpha)
#define gilColor4usv(v) glColor4usv(v)
#define gilColorMask(red, green, blue, alpha) glColorMask(red, green, blue, alpha)
#define gilColorMaterial(face, mode) glColorMaterial(face, mode)
#define gilColorPointerEXT(size, type, stride, count, pointer) glColorPointerEXT(size, type, stride, count, pointer)
#define gilColorTableParameterfvSGI(target, pname, params) glColorTableParameterfvSGI(target, pname, params)
#define gilColorTableParameterivSGI(target, pname, params) glColorTableParameterivSGI(target, pname, params)
#define gilColorTableSGI(target, internalformat, width, format, type, table) glColorTableSGI(target, internalformat, width, format, type, table)
#define gilConvolutionFilter1DEXT(target, internalformat, width, format, type, image) glConvolutionFilter1DEXT(target, internalformat, width, format, type, image)
#define gilConvolutionFilter2DEXT(target, internalformat, width, height, format, type, image) glConvolutionFilter2DEXT(target, internalformat, width, height, format, type, image)
#define gilConvolutionParameterfEXT(target, pname, params) glConvolutionParameterfEXT(target, pname, params)
#define gilConvolutionParameterfvEXT(target, pname, params) glConvolutionParameterfvEXT(target, pname, params)
#define gilConvolutionParameteriEXT(target, pname, params) glConvolutionParameteriEXT(target, pname, params)
#define gilConvolutionParameterivEXT(target, pname, params) glConvolutionParameterivEXT(target, pname, params)
#define gilCopyColorTableSGI(target, internalformat, x, y, width) glCopyColorTableSGI(target, internalformat, x, y, width)
#define gilCopyConvolutionFilter1DEXT(target, internalformat, x, y, width) glCopyConvolutionFilter1DEXT(target, internalformat, x, y, width)
#define gilCopyConvolutionFilter2DEXT(target, internalformat, x, y, width, height) glCopyConvolutionFilter2DEXT(target, internalformat, x, y, width, height)
#define gilCopyPixels(x, y, width, height, type) glCopyPixels(x, y, width, height, type)
#define gilCopyTexImage1DEXT(target, level, internalformat, x, y, width, border) glCopyTexImage1DEXT(target, level, internalformat, x, y, width, border)
#define gilCopyTexImage2DEXT(target, level, internalformat, x, y, width, height, border) glCopyTexImage2DEXT(target, level, internalformat, x, y, width, height, border)
#define gilCopyTexSubImage1DEXT(target, level, xoffset, x, y, width) glCopyTexSubImage1DEXT(target, level, xoffset, x, y, width)
#define gilCopyTexSubImage2DEXT(target, level, xoffset, yoffset, x, y, width, height) glCopyTexSubImage2DEXT(target, level, xoffset, yoffset, x, y, width, height)
#define gilCopyTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, x, y, width, height) glCopyTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, x, y, width, height)
#define gilCullFace(mode) glCullFace(mode)
#define gilDeformSGIX(mask) glDeformSGIX(mask)
#define gilDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) glDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points)
#define gilDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) glDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points)
#define gilDeleteLists(list, range) glDeleteLists(list, range)

#if defined (_HPUX_SOURCE) || defined (WIN32)
#define gilDeleteTextures(n, textures) glDeleteTextures(n, textures)
#else // _HPUX_SOURCE, WIN32
#define gilDeleteTextures(n, textures) glDeleteTexturesEXT(n, textures)
#endif // _HPUX_SOURCE, WIN32

#define gilDepthFunc(func) glDepthFunc(func)
#define gilDepthMask(flag) glDepthMask(flag)
#define gilDepthRange(near, far) glDepthRange(near, far)
#define gilDetailTexFuncSGIS(target, n, points) glDetailTexFuncSGIS(target, n, points)
#define gilDisable(cap) glDisable(cap)
#define gilDrawArraysEXT(mode, first, count) glDrawArraysEXT(mode, first, count)
#define gilDrawBuffer(mode) glDrawBuffer(mode)
#define gilDrawPixels(width, height, format, type, pixels) glDrawPixels(width, height, format, type, pixels)
#define gilEdgeFlag(flag) glEdgeFlag(flag)
#define gilEdgeFlagPointerEXT(stride, count, pointer) glEdgeFlagPointerEXT(stride, count, pointer)
#define gilEdgeFlagv(flag) glEdgeFlagv(flag)
#define gilEnable(cap) glEnable(cap)
#define gilEnd() glEnd()
#define gilEndList() glEndList()
#define gilEvalCoord1d(u) glEvalCoord1d(u)
#define gilEvalCoord1dv(u) glEvalCoord1dv(u)
#define gilEvalCoord1f(u) glEvalCoord1f(u)
#define gilEvalCoord1fv(u) glEvalCoord1fv(u)
#define gilEvalCoord2d(u, v) glEvalCoord2d(u, v)
#define gilEvalCoord2dv(u) glEvalCoord2dv(u)
#define gilEvalCoord2f(u, v) glEvalCoord2f(u, v)
#define gilEvalCoord2fv(u) glEvalCoord2fv(u)
#define gilEvalMesh1(mode, i1, i2) glEvalMesh1(mode, i1, i2)
#define gilEvalMesh2(mode, i1, i2, j1, j2) glEvalMesh2(mode, i1, i2, j1, j2)
#define gilEvalPoint1(i) glEvalPoint1(i)
#define gilEvalPoint2(i, j) glEvalPoint2(i, j)
#define gilFeedbackBuffer(size, type, buffer) glFeedbackBuffer(size, type, buffer)
#define gilFinish() glFinish()
#define gilFlush() glFlush()
#define gilFlushRasterSGIX() glFlushRasterSGIX()
#define gilFogFuncSGIS(n, points) glFogFuncSGIS(n, points)
#define gilFogf(pname, param) glFogf(pname, param)
#define gilFogfv(pname, params) glFogfv(pname, params)
#define gilFogi(pname, param) glFogi(pname, param)
#define gilFogiv(pname, params) glFogiv(pname, params)
#define gilFrameZoomSGIX(factor) glFrameZoomSGIX(factor)
#define gilFrontFace(mode) glFrontFace(mode)
#define gilFrustum(left, right, bottom, top, near, far) glFrustum(left, right, bottom, top, near, far)
#define gilGenLists(range) glGenLists(range)

#ifdef _HPUX_SOURCE
#define gilGenTextures(n, textures) glGenTextures(n, textures)
#else // _HPUX_SOURCE
#define gilGenTextures(n, textures) glGenTexturesEXT(n, textures)
#endif // _HPUX_SOURCE

#define gilGetBooleanv(pname, params) glGetBooleanv(pname, params)
#define gilGetClipPlane(plane, equation) glGetClipPlane(plane, equation)
#define gilGetColorTableParameterfvSGI(target, pname, params) glGetColorTableParameterfvSGI(target, pname, params)
#define gilGetColorTableParameterivSGI(target, pname, params) glGetColorTableParameterivSGI(target, pname, params)
#define gilGetColorTableSGI(target, format, type, table) glGetColorTableSGI(target, format, type, table)
#define gilGetConvolutionFilterEXT(target, format, type, image) glGetConvolutionFilterEXT(target, format, type, image)
#define gilGetConvolutionParameterfvEXT(target, pname, params) glGetConvolutionParameterfvEXT(target, pname, params)
#define gilGetConvolutionParameterivEXT(target, pname, params) glGetConvolutionParameterivEXT(target, pname, params)
#define gilGetDetailTexFuncSGIS(target, points) glGetDetailTexFuncSGIS(target, points)
#define gilGetDoublev(pname, params) glGetDoublev(pname, params)
#define gilGetError() glGetError()
#define gilGetFloatv(pname, params) glGetFloatv(pname, params)
#define gilGetHistogramEXT(target, reset, format, type, values) glGetHistogramEXT(target, reset, format, type, values)
#define gilGetHistogramParameterfvEXT(target, pname, params) glGetHistogramParameterfvEXT(target, pname, params)
#define gilGetHistogramParameterivEXT(target, pname, params) glGetHistogramParameterivEXT(target, pname, params)
#define gilGetInstrumentsSGIX() glGetInstrumentsSGIX()
#define gilGetIntegerv(pname, params) glGetIntegerv(pname, params)
#define gilGetLightfv(light, pname, params) glGetLightfv(light, pname, params)
#define gilGetLightiv(light, pname, params) glGetLightiv(light, pname, params)
#define gilGetMapdv(target, query, v) glGetMapdv(target, query, v)
#define gilGetMapfv(target, query, v) glGetMapfv(target, query, v)
#define gilGetMapiv(target, query, v) glGetMapiv(target, query, v)
#define gilGetMaterialfv(face, pname, params) glGetMaterialfv(face, pname, params)
#define gilGetMaterialiv(face, pname, params) glGetMaterialiv(face, pname, params)
#define gilGetMinmaxEXT(target, reset, format, type, values) glGetMinmaxEXT(target, reset, format, type, values)
#define gilGetMinmaxParameterfvEXT(target, pname, params) glGetMinmaxParameterfvEXT(target, pname, params)
#define gilGetMinmaxParameterivEXT(target, pname, params) glGetMinmaxParameterivEXT(target, pname, params)
#define gilGetPixelMapfv(map, values) glGetPixelMapfv(map, values)
#define gilGetPixelMapuiv(map, values) glGetPixelMapuiv(map, values)
#define gilGetPixelMapusv(map, values) glGetPixelMapusv(map, values)
#define gilGetPointervEXT(pname, params) glGetPointervEXT(pname, params)
#define gilGetPolygonStipple(mask) glGetPolygonStipple(mask)
#define gilGetSeparableFilterEXT(target, format, type, row, column, span) glGetSeparableFilterEXT(target, format, type, row, column, span)
#define gilGetSharpenTexFuncSGIS(target, points) glGetSharpenTexFuncSGIS(target, points)
#define  glGetString(name) q glGetString(name)
#define gilGetTexEnvfv(target, pname, params) glGetTexEnvfv(target, pname, params)
#define gilGetTexEnviv(target, pname, params) glGetTexEnviv(target, pname, params)
#define gilGetTexFilterFuncSGIS(target, filter, weights) glGetTexFilterFuncSGIS(target, filter, weights)
#define gilGetTexGendv(coord, pname, params) glGetTexGendv(coord, pname, params)
#define gilGetTexGenfv(coord, pname, params) glGetTexGenfv(coord, pname, params)
#define gilGetTexGeniv(coord, pname, params) glGetTexGeniv(coord, pname, params)
#define gilGetTexImage(target, level, format, type, pixels) glGetTexImage(target, level, format, type, pixels)
#define gilGetTexLevelParameterfv(target, level, pname, params) glGetTexLevelParameterfv(target, level, pname, params)
#define gilGetTexLevelParameteriv(target, level, pname, params) glGetTexLevelParameteriv(target, level, pname, params)
#define gilGetTexParameterfv(target, pname, params) glGetTexParameterfv(target, pname, params)
#define gilGetTexParameteriv(target, pname, params) glGetTexParameteriv(target, pname, params)
#define gilHint(target, mode) glHint(target, mode)
#define gilHistogramEXT(target, width, internalformat, sink) glHistogramEXT(target, width, internalformat, sink)
#define gilIndexMask(mask) glIndexMask(mask)
#define gilIndexPointerEXT(type, stride, count, pointer) glIndexPointerEXT(type, stride, count, pointer)
#define gilIndexd(c) glIndexd(c)
#define gilIndexdv(c) glIndexdv(c)
#define gilIndexf(c) glIndexf(c)
#define gilIndexfv(c) glIndexfv(c)
#define gilIndexi(c) glIndexi(c)
#define gilIndexiv(c) glIndexiv(c)
#define gilIndexs(c) glIndexs(c)
#define gilIndexsv(c) glIndexsv(c)
#define gilInitNames() glInitNames()
#define gilIsEnabled(cap) glIsEnabled(cap)
#define gilIsList(list) glIsList(list)

#if defined (_HPUX_SOURCE) || defined(WIN32)
#define gilIsTexture(texture) glIsTexture(texture)
#else // _HPUX_SOURCE, WIN32
#define gilIsTexture(texture) glIsTextureEXT(texture)
#endif // _HPUX_SOURCE, WIN32

#define gilLightModelf(pname, param) glLightModelf(pname, param)
#define gilLightModelfv(pname, params) glLightModelfv(pname, params)
#define gilLightModeli(pname, param) glLightModeli(pname, param)
#define gilLightModeliv(pname, params) glLightModeliv(pname, params)
#define gilLightf(light, pname, param) glLightf(light, pname, param)
#define gilLightfv(light, pname, params) glLightfv(light, pname, params)
#define gilLighti(light, pname, param) glLighti(light, pname, param)
#define gilLightiv(light, pname, params) glLightiv(light, pname, params)
#define gilLineStipple(factor, pattern) glLineStipple(factor, pattern)
#define gilLineWidth(width) glLineWidth(width)
#define gilListBase(base) glListBase(base)
#define gilLoadIdentity() glLoadIdentity()
#define gilLoadIdentityDeformationMapSGIX(mask) glLoadIdentityDeformationMapSGIX(mask)
#define gilLoadMatrixd(m) glLoadMatrixd(m)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilLoadMatrixf(m) glLoadMatrixf(m)
//#define gilLoadMatrixf(m) glLoadMatrixd(m)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilLoadName(name) glLoadName(name)
#define gilLogicOp(opcode) glLogicOp(opcode)
#define gilMap1d(target, u1, u2, stride, order, points) glMap1d(target, u1, u2, stride, order, points)
#define gilMap1f(target, u1, u2, stride, order, points) glMap1f(target, u1, u2, stride, order, points)
#define gilMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) glMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
#define gilMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) glMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
#define gilMapGrid1d(un, u1, u2) glMapGrid1d(un, u1, u2)
#define gilMapGrid1f(un, u1, u2) glMapGrid1f(un, u1, u2)
#define gilMapGrid2d(un, u1, u2, vn, v1, v2) glMapGrid2d(un, u1, u2, vn, v1, v2)
#define gilMapGrid2f(un, u1, u2, vn, v1, v2) glMapGrid2f(un, u1, u2, vn, v1, v2)
#define gilMaterialf(face, pname, param) glMaterialf(face, pname, param)
#define gilMaterialfv(face, pname, params) glMaterialfv(face, pname, params)
#define gilMateriali(face, pname, param) glMateriali(face, pname, param)
#define gilMaterialiv(face, pname, params) glMaterialiv(face, pname, params)
#define gilMatrixMode(mode) glMatrixMode(mode)
#define gilMinmaxEXT(target, internalformat, sink) glMinmaxEXT(target, internalformat, sink)
#define gilMultMatrixd(m) glMultMatrixd(m)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilMultMatrixf(m) glMultMatrixf(m)
//#define gilMultMatrixf(m) glMultMatrixd(m)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilNewList(list, mode) glNewList(list, mode)
#define gilNormal3b(nx, ny, nz) glNormal3b(nx, ny, nz)
#define gilNormal3bv(v) glNormal3bv(v)
#define gilNormal3d(nx, ny, nz) glNormal3d(nx, ny, nz)
#define gilNormal3dv(v) glNormal3dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilNormal3f(nx, ny, nz) glNormal3f(nx, ny, nz)
#define gilNormal3fv(v) glNormal3fv(v)
//#define gilNormal3f(nx, ny, nz) glNormal3d(nx, ny, nz)
//#define gilNormal3fv(v) glNormal3dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilNormal3i(nx, ny, nz) glNormal3i(nx, ny, nz)
#define gilNormal3iv(v) glNormal3iv(v)
#define gilNormal3s(nx, ny, nz) glNormal3s(nx, ny, nz)
#define gilNormal3sv(v) glNormal3sv(v)
#define gilNormalPointerEXT(type, stride, count, pointer) glNormalPointerEXT(type, stride, count, pointer)
#define gilOrtho(left, right, bottom, top, near, far) glOrtho(left, right, bottom, top, near, far)
#define gilPassThrough(token) glPassThrough(token)
#define gilPipelineInstrumentsBufferSGIX(size, buffer) glPipelineInstrumentsBufferSGIX(size, buffer)
#define gilPixelMapfv(map, mapsize, values) glPixelMapfv(map, mapsize, values)
#define gilPixelMapuiv(map, mapsize, values) glPixelMapuiv(map, mapsize, values)
#define gilPixelMapusv(map, mapsize, values) glPixelMapusv(map, mapsize, values)
#define gilPixelStoref(pname, param) glPixelStoref(pname, param)
#define gilPixelStorei(pname, param) glPixelStorei(pname, param)
#define gilPixelTexGenSGIX(mode) glPixelTexGenSGIX(mode)
#define gilPixelTransferf(pname, param) glPixelTransferf(pname, param)
#define gilPixelTransferi(pname, param) glPixelTransferi(pname, param)
#define gilPixelZoom(xfactor, yfactor) glPixelZoom(xfactor, yfactor)
#define gilPointParameterfSGIS(pname, param) glPointParameterfSGIS(pname, param)
#define gilPointParameterfvSGIS(pname, params) glPointParameterfvSGIS(pname, params)
#define gilPointSize(size) glPointSize(size)
#define gilPollInstrumentsSGIX(marker_p) glPollInstrumentsSGIX(marker_p)
#define gilPolygonMode(face, mode) glPolygonMode(face, mode)
#define gilPolygonOffsetEXT(factor, bias) glPolygonOffsetEXT(factor, bias)
#define gilPolygonStipple(mask) glPolygonStipple(mask)
#define gilPopAttrib() glPopAttrib()
#define gilPopMatrix() glPopMatrix()
#define gilPopName() glPopName()
#define gilPrioritizeTexturesEXT(n, textures, priorities) glPrioritizeTexturesEXT(n, textures, priorities)
#define gilPushAttrib(mask) glPushAttrib(mask)
#define gilPushMatrix() glPushMatrix()
#define gilPushName(name) glPushName(name)
#define gilRasterPos2d(x, y) glRasterPos2d(x, y)
#define gilRasterPos2dv(v) glRasterPos2dv(v)
#define gilRasterPos2f(x, y) glRasterPos2f(x, y)
#define gilRasterPos2fv(v) glRasterPos2fv(v)
#define gilRasterPos2i(x, y) glRasterPos2i(x, y)
#define gilRasterPos2iv(v) glRasterPos2iv(v)
#define gilRasterPos2s(x, y) glRasterPos2s(x, y)
#define gilRasterPos2sv(v) glRasterPos2sv(v)
#define gilRasterPos3d(x, y, z) glRasterPos3d(x, y, z)
#define gilRasterPos3dv(v) glRasterPos3dv(v)
#define gilRasterPos3f(x, y, z) glRasterPos3f(x, y, z)
#define gilRasterPos3fv(v) glRasterPos3fv(v)
#define gilRasterPos3i(x, y, z) glRasterPos3i(x, y, z)
#define gilRasterPos3iv(v) glRasterPos3iv(v)
#define gilRasterPos3s(x, y, z) glRasterPos3s(x, y, z)
#define gilRasterPos3sv(v) glRasterPos3sv(v)
#define gilRasterPos4d(x, y, z, w) glRasterPos4d(x, y, z, w)
#define gilRasterPos4dv(v) glRasterPos4dv(v)
#define gilRasterPos4f(x, y, z, w) glRasterPos4f(x, y, z, w)
#define gilRasterPos4fv(v) glRasterPos4fv(v)
#define gilRasterPos4i(x, y, z, w) glRasterPos4i(x, y, z, w)
#define gilRasterPos4iv(v) glRasterPos4iv(v)
#define gilRasterPos4s(x, y, z, w) glRasterPos4s(x, y, z, w)
#define gilRasterPos4sv(v) glRasterPos4sv(v)
#define gilReadBuffer(mode) glReadBuffer(mode)
#define gilReadPixels(x, y, width, height, format, type, pixels) glReadPixels(x, y, width, height, format, type, pixels)
#define gilRectd(x1, y1, x2, y2) glRectd(x1, y1, x2, y2)
#define gilRectdv(v1, v2) glRectdv(v1, v2)
#define gilRectf(x1, y1, x2, y2) glRectf(x1, y1, x2, y2)
#define gilRectfv(v1, v2) glRectfv(v1, v2)
#define gilRecti(x1, y1, x2, y2) glRecti(x1, y1, x2, y2)
#define gilRectiv(v1, v2) glRectiv(v1, v2)
#define gilRects(x1, y1, x2, y2) glRects(x1, y1, x2, y2)
#define gilRectsv(v1, v2) glRectsv(v1, v2)
#define gilReferencePlaneSGIX(equation) glReferencePlaneSGIX(equation)
#define gilRenderMode(mode) glRenderMode(mode)
#define gilResetHistogramEXT(target) glResetHistogramEXT(target)
#define gilResetMinmaxEXT(target) glResetMinmaxEXT(target)
#define gilRotated(angle, x, y, z) glRotated(angle, x, y, z)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilRotatef(angle, x, y, z) glRotatef(angle, x, y, z)
//#define gilRotatef(angle, x, y, z) glRotated(angle, x, y, z)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilSampleMaskSGIS(value, invert) glSampleMaskSGIS(value, invert)
#define gilSamplePatternSGIS(pattern) glSamplePatternSGIS(pattern)
#define gilScaled(x, y, z) glScaled(x, y, z)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilScalef(x, y, z) glScalef(x, y, z)
//#define gilScalef(x, y, z) glScaled(x, y, z)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilScissor(x, y, width, height) glScissor(x, y, width, height)
#define gilSelectBuffer(size, buffer) glSelectBuffer(size, buffer)
#define gilSeparableFilter2DEXT(target, internalformat, width, height, format, type, row, column) glSeparableFilter2DEXT(target, internalformat, width, height, format, type, row, column)
#define gilShadeModel(mode) glShadeModel(mode)
#define gilSharpenTexFuncSGIS(target, n, points) glSharpenTexFuncSGIS(target, n, points)
#define gilSpriteParameterfSGIX(pname, param) glSpriteParameterfSGIX(pname, param)
#define gilSpriteParameterfvSGIX(pname, params) glSpriteParameterfvSGIX(pname, params)
#define gilSpriteParameteriSGIX(pname, param) glSpriteParameteriSGIX(pname, param)
#define gilSpriteParameterivSGIX(pname, params) glSpriteParameterivSGIX(pname, params)
#define gilStartInstrumentsSGIX() glStartInstrumentsSGIX()
#define gilStencilFunc(func, ref, mask) glStencilFunc(func, ref, mask)
#define gilStencilMask(mask) glStencilMask(mask)
#define gilStencilOp(fail, zfail, zpass) glStencilOp(fail, zfail, zpass)
#define gilStopInstrumentsSGIX(marker) glStopInstrumentsSGIX(marker)
#define gilTagSampleBufferSGIX() glTagSampleBufferSGIX()
#define gilTexCoord1d(s) glTexCoord1d(s)
#define gilTexCoord1dv(v) glTexCoord1dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord1f(s) glTexCoord1f(s)
#define gilTexCoord1fv(v) glTexCoord1fv(v)
//#define gilTexCoord1f(s) glTexCoord1d(s)
//#define gilTexCoord1fv(v) glTexCoord1dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord1i(s) glTexCoord1i(s)
#define gilTexCoord1iv(v) glTexCoord1iv(v)
#define gilTexCoord1s(s) glTexCoord1s(s)
#define gilTexCoord1sv(v) glTexCoord1sv(v)
#define gilTexCoord2d(s, t) glTexCoord2d(s, t)
#define gilTexCoord2dv(v) glTexCoord2dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord2f(s, t) glTexCoord2f(s, t)
#define gilTexCoord2fv(v) glTexCoord2fv(v)
//#define gilTexCoord2f(s, t) glTexCoord2d(s, t)
//#define gilTexCoord2fv(v) glTexCoord2dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord2i(s, t) glTexCoord2i(s, t)
#define gilTexCoord2iv(v) glTexCoord2iv(v)
#define gilTexCoord2s(s, t) glTexCoord2s(s, t)
#define gilTexCoord2sv(v) glTexCoord2sv(v)
#define gilTexCoord3d(s, t, r) glTexCoord3d(s, t, r)
#define gilTexCoord3dv(v) glTexCoord3dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord3f(s, t, r) glTexCoord3f(s, t, r)
#define gilTexCoord3fv(v) glTexCoord3fv(v)
//#define gilTexCoord3f(s, t, r) glTexCoord3d(s, t, r)
//#define gilTexCoord3fv(v) glTexCoord3dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord3i(s, t, r) glTexCoord3i(s, t, r)
#define gilTexCoord3iv(v) glTexCoord3iv(v)
#define gilTexCoord3s(s, t, r) glTexCoord3s(s, t, r)
#define gilTexCoord3sv(v) glTexCoord3sv(v)
#define gilTexCoord4d(s, t, r, q) glTexCoord4d(s, t, r, q)
#define gilTexCoord4dv(v) glTexCoord4dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord4f(s, t, r, q) glTexCoord4f(s, t, r, q)
#define gilTexCoord4fv(v) glTexCoord4fv(v)
//#define gilTexCoord4f(s, t, r, q) glTexCoord4d(s, t, r, q)
//#define gilTexCoord4fv(v) glTexCoord4dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilTexCoord4i(s, t, r, q) glTexCoord4i(s, t, r, q)
#define gilTexCoord4iv(v) glTexCoord4iv(v)
#define gilTexCoord4s(s, t, r, q) glTexCoord4s(s, t, r, q)
#define gilTexCoord4sv(v) glTexCoord4sv(v)
#define gilTexCoordPointerEXT(size, type, stride, count, pointer) glTexCoordPointerEXT(size, type, stride, count, pointer)
#define gilTexEnvf(target, pname, param) glTexEnvf(target, pname, param)
#define gilTexEnvfv(target, pname, params) glTexEnvfv(target, pname, params)
#define gilTexEnvi(target, pname, param) glTexEnvi(target, pname, param)
#define gilTexEnviv(target, pname, params) glTexEnviv(target, pname, params)
#define gilTexFilterFuncSGIS(target, filter, n, weights) glTexFilterFuncSGIS(target, filter, n, weights)
#define gilTexGend(coord, pname, param) glTexGend(coord, pname, param)
#define gilTexGendv(coord, pname, params) glTexGendv(coord, pname, params)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTexGenf(coord, pname, param) glTexGenf(coord, pname, param)
#define gilTexGenfv(coord, pname, params) glTexGenfv(coord, pname, params)
//#define gilTexGenf(coord, pname, param) glTexGend(coord, pname, param)
//#define gilTexGenfv(coord, pname, params) glTexGendv(coord, pname, params)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilTexGeni(coord, pname, param) glTexGeni(coord, pname, param)
#define gilTexGeniv(coord, pname, params) glTexGeniv(coord, pname, params)
#define gilTexImage1D(target, level, components, width, border, format, type, pixels) glTexImage1D(target, level, components, width, border, format, type, pixels)
#define gilTexImage2D(target, level, components, width, height, border, format, type, pixels) glTexImage2D(target, level, components, width, height, border, format, type, pixels)
#define gilTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels) glTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels)
#define gilTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels) glTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels)
#define gilTexParameterf(target, pname, param) glTexParameterf(target, pname, param)
#define gilTexParameterfv(target, pname, params) glTexParameterfv(target, pname, params)
#define gilTexParameteri(target, pname, param) glTexParameteri(target, pname, param)
#define gilTexParameteriv(target, pname, params) glTexParameteriv(target, pname, params)
#define gilTexSubImage1DEXT(target, level, xoffset, width, format, type, pixels) glTexSubImage1DEXT(target, level, xoffset, width, format, type, pixels)
#define gilTexSubImage2DEXT(target, level, xoffset, yoffset, width, height, format, type, pixels) glTexSubImage2DEXT(target, level, xoffset, yoffset, width, height, format, type, pixels)
#define gilTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels) glTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels)
#define gilTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels) glTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels)
#define gilTranslated(x, y, z) glTranslated(x, y, z)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilTranslatef(x, y, z) glTranslatef(x, y, z)
//#define gilTranslatef(x, y, z) glTranslated(x, y, z)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilVertex2d(x, y) glVertex2d(x, y)
#define gilVertex2dv(v) glVertex2dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilVertex2f(x, y) glVertex2f(x, y)
#define gilVertex2fv(v) glVertex2fv(v)
//#define gilVertex2f(x, y) glVertex2d(x, y)
//#define gilVertex2fv(v) glVertex2dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilVertex2i(x, y) glVertex2i(x, y)
#define gilVertex2iv(v) glVertex2iv(v)
#define gilVertex2s(x, y) glVertex2s(x, y)
#define gilVertex2sv(v) glVertex2sv(v)
#define gilVertex3d(x, y, z) glVertex3d(x, y, z)
#define gilVertex3dv(v) glVertex3dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilVertex3f(x, y, z) glVertex3f(x, y, z)
#define gilVertex3fv(v) glVertex3fv(v)
//#define gilVertex3f(x, y, z) glVertex3d(x, y, z)
//#define gilVertex3fv(v) glVertex3dv(v)
// END  : This is when I changed FLOAT to be doubles for CDA's
#define gilVertex3i(x, y, z) glVertex3i(x, y, z)
#define gilVertex3iv(v) glVertex3iv(v)
#define gilVertex3s(x, y, z) glVertex3s(x, y, z)
#define gilVertex3sv(v) glVertex3sv(v)
#define gilVertex4d(x, y, z, w) glVertex4d(x, y, z, w)
#define gilVertex4dv(v) glVertex4dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilVertex4f(x, y, z, w) glVertex4f(x, y, z, w)
#define gilVertex4fv(v) glVertex4fv(v)
//#define gilVertex4f(x, y, z, w) glVertex4d(x, y, z, w)
//#define gilVertex4fv(v) glVertex4dv(v)
// START: This is when I changed FLOAT to be doubles for CDA's
#define gilVertex4i(x, y, z, w) glVertex4i(x, y, z, w)
#define gilVertex4iv(v) glVertex4iv(v)
#define gilVertex4s(x, y, z, w) glVertex4s(x, y, z, w)
#define gilVertex4sv(v) glVertex4sv(v)
#define gilVertexPointerEXT(size, type, stride, count, pointer) glVertexPointerEXT(size, type, stride, count, pointer)
#define gilViewport(x, y, width, height) glViewport(x, y, width, height)

//////////////////////////////////////////////////
// OpenGL Interface -- "GL/glu.h"
//
#define giluDisk(quad, inner, outer, slices, loops) gluDisk(quad, inner, outer, slices, loops)
#define giluEndCurve(nurb) gluEndCurve(nurb)
#define giluEndPolygon(tess) gluEndPolygon(tess)
#define giluEndSurface(nurb) gluEndSurface(nurb)
#define giluEndTrim(nurb) gluEndTrim(nurb)
#define giluErrorString(error) gluErrorString(error)
#define giluGetNurbsProperty(nurb, property, data) gluGetNurbsProperty(nurb, property, data)
#define giluGetString(name) gluGetString(name)
#define giluGetTessProperty(tess, which, data) gluGetTessProperty(tess, which, data)
#define giluLoadSamplingMatrices(nurb, model, perspective, view) gluLoadSamplingMatrices(nurb, model, perspective, view)
#define giluLookAt(eyeX, eyeY, eyeZ, centerX, centerY, centerZ, upX, upY, upZ) gluLookAt(eyeX, eyeY, eyeZ, centerX, centerY, centerZ, upX, upY, upZ)
#define giluNewNurbsRenderer() gluNewNurbsRenderer()
#define giluNewQuadric() gluNewQuadric()
#define giluNewTess() gluNewTess()
#define giluNextContour(tess, type) gluNextContour(tess, type)
#define giluNurbsCallback(nurb, which, CallBackFunc) gluNurbsCallback(nurb, which, CallBackFunc)
#define giluNurbsCurve(nurb, knotCount, knots, stride, control, order, type) gluNurbsCurve(nurb, knotCount, knots, stride, control, order, type)
#define giluNurbsProperty(nurb, property, value) gluNurbsProperty(nurb, property, value)
#define giluNurbsSurface(nurb, sKnotCount, sKnots, tKnotCount, tKnots, sStride, tStride, control, sOrder, tOrder, type) gluNurbsSurface(nurb, sKnotCount, sKnots, tKnotCount, tKnots, sStride, tStride, control, sOrder, tOrder, type)
#define giluOrtho2D(left, right, bottom, top) gluOrtho2D(left, right, bottom, top)
#define giluPartialDisk(quad, inner, outer, slices, loops, start, sweep) gluPartialDisk(quad, inner, outer, slices, loops, start, sweep)
#define giluPerspective(fovy, aspect, zNear, zFar) gluPerspective(fovy, aspect, zNear, zFar)
#define giluPickMatrix(x, y, delX, delY, viewport) gluPickMatrix(x, y, delX, delY, viewport)
#define giluProject(objX, objY, objZ, model, proj, view, winX, winY, winZ) gluProject(objX, objY, objZ, model, proj, view, winX, winY, winZ)
#define giluPwlCurve(nurb, count, data, stride, type) gluPwlCurve(nurb, count, data, stride, type)
#define giluQuadricCallback(quad, which, CallBackFunc) gluQuadricCallback(quad, which, CallBackFunc)
#define giluQuadricDrawStyle(quad, draw) gluQuadricDrawStyle(quad, draw)
#define giluQuadricNormals(quad, normal) gluQuadricNormals(quad, normal)
#define giluQuadricOrientation(quad, orientation) gluQuadricOrientation(quad, orientation)
#define giluQuadricTexture(quad, texture) gluQuadricTexture(quad, texture)
#define giluScaleImage(format, wIn, hIn, typeIn, dataIn, wOut, hOut, typeOut, dataOut) gluScaleImage(format, wIn, hIn, typeIn, dataIn, wOut, hOut, typeOut, dataOut)
#define giluSphere(quad, radius, slices, stacks) gluSphere(quad, radius, slices, stacks)
#define giluTessBeginContour(tess) gluTessBeginContour(tess)
#define giluTessBeginPolygon(tess, data) gluTessBeginPolygon(tess, data)
#define giluTessCallback(tess, which, CallBackFunc) gluTessCallback(tess, which, CallBackFunc)
#define giluTessEndContour(tess) gluTessEndContour(tess)
#define giluTessEndPolygon(tess) gluTessEndPolygon(tess)
#define giluTessNormal(tess, valueX, valueY, valueZ) gluTessNormal(tess, valueX, valueY, valueZ)
#define giluTessProperty(tess, which, data) gluTessProperty(tess, which, data)
#define giluTessVertex(tess, location, data) gluTessVertex(tess, location, data)
#define giluUnProject(winX, winY, winZ, model, proj, view, objX, objY, objZ) gluUnProject(winX, winY, winZ, model, proj, view, objX, objY, objZ)

//#include "gilut.h"

#else // __GIL_OPENGL_ONLY__

#include "graphics.h"
#define gilSetOutputFile(outputFile) gCGraphics.gilSetOutputFile(outputFile)

//////////////////////////////////////////////////
// OpenGL Interface -- "GL/gl.h"
//
#define gilAccum(op, value) gCGraphics.gilAccum(op, value)
#define gilAlphaFunc(func, ref) gCGraphics.gilAlphaFunc(func, ref)
#define gilAreTexturesResidentEXT(n, textures, residences) gCGraphics.gilAreTexturesResidentEXT(n, textures, residences)
#define gilArrayElementEXT(i) gCGraphics.gilArrayElementEXT(i)
#define gilBegin(mode) gCGraphics.gilBegin(mode)
#define gilBindTextureEXT(target, texture) gCGraphics.gilBindTextureEXT(target, texture)
#define gilBitmap(width, height, xorig, yorig, xmove, ymove, bitmap) gCGraphics.gilBitmap(width, height, xorig, yorig, xmove, ymove, bitmap)
#define gilBlendColorEXT(red, green, blue, alpha) gCGraphics.gilBlendColorEXT(red, green, blue, alpha)
#define gilBlendEquationEXT(mode) gCGraphics.gilBlendEquationEXT(mode)
#define gilBlendFunc(sfactor, dfactor) gCGraphics.gilBlendFunc(sfactor, dfactor)
#define gilCallList(list) gCGraphics.gilCallList(list)
#define gilCallLists(n, type, lists) gCGraphics.gilCallLists(n, type, lists)
#define gilClear(mask) gCGraphics.gilClear(mask)
#define gilClearAccum(red, green, blue, alpha) gCGraphics.gilClearAccum(red, green, blue, alpha)
#define gilClearColor(red, green, blue, alpha) gCGraphics.gilClearColor(red, green, blue, alpha)
#define gilClearDepth(depth) gCGraphics.gilClearDepth(depth)
#define gilClearIndex(c) gCGraphics.gilClearIndex(c)
#define gilClearStencil(s) gCGraphics.gilClearStencil(s)
#define gilClipPlane(plane, equation) gCGraphics.gilClipPlane(plane, equation)
#define gilColor3b(red, green, blue) gCGraphics.gilColor3b(red, green, blue)
#define gilColor3bv(v) gCGraphics.gilColor3bv(v)
#define gilColor3d(red, green, blue) gCGraphics.gilColor3d(red, green, blue)
#define gilColor3dv(v) gCGraphics.gilColor3dv(v)
#define gilColor3f(red, green, blue) gCGraphics.gilColor3f(red, green, blue)
#define gilColor3fv(v) gCGraphics.gilColor3fv(v)
#define gilColor3i(red, green, blue) gCGraphics.gilColor3i(red, green, blue)
#define gilColor3iv(v) gCGraphics.gilColor3iv(v)
#define gilColor3s(red, green, blue) gCGraphics.gilColor3s(red, green, blue)
#define gilColor3sv(v) gCGraphics.gilColor3sv(v)
#define gilColor3ub(red, green, blue) gCGraphics.gilColor3ub(red, green, blue)
#define gilColor3ubv(v) gCGraphics.gilColor3ubv(v)
#define gilColor3ui(red, green, blue) gCGraphics.gilColor3ui(red, green, blue)
#define gilColor3uiv(v) gCGraphics.gilColor3uiv(v)
#define gilColor3us(red, green, blue) gCGraphics.gilColor3us(red, green, blue)
#define gilColor3usv(v) gCGraphics.gilColor3usv(v)
#define gilColor4b(red, green, blue, alpha) gCGraphics.gilColor4b(red, green, blue, alpha)
#define gilColor4bv(v) gCGraphics.gilColor4bv(v)
#define gilColor4d(red, green, blue, alpha) gCGraphics.gilColor4d(red, green, blue, alpha)
#define gilColor4dv(v) gCGraphics.gilColor4dv(v)
#define gilColor4f(red, green, blue, alpha) gCGraphics.gilColor4f(red, green, blue, alpha)
#define gilColor4fv(v) gCGraphics.gilColor4fv(v)
#define gilColor4i(red, green, blue, alpha) gCGraphics.gilColor4i(red, green, blue, alpha)
#define gilColor4iv(v) gCGraphics.gilColor4iv(v)
#define gilColor4s(red, green, blue, alpha) gCGraphics.gilColor4s(red, green, blue, alpha)
#define gilColor4sv(v) gCGraphics.gilColor4sv(v)
#define gilColor4ub(red, green, blue, alpha) gCGraphics.gilColor4ub(red, green, blue, alpha)
#define gilColor4ubv(v) gCGraphics.gilColor4ubv(v)
#define gilColor4ui(red, green, blue, alpha) gCGraphics.gilColor4ui(red, green, blue, alpha)
#define gilColor4uiv(v) gCGraphics.gilColor4uiv(v)
#define gilColor4us(red, green, blue, alpha) gCGraphics.gilColor4us(red, green, blue, alpha)
#define gilColor4usv(v) gCGraphics.gilColor4usv(v)
#define gilColorMask(red, green, blue, alpha) gCGraphics.gilColorMask(red, green, blue, alpha)
#define gilColorMaterial(face, mode) gCGraphics.gilColorMaterial(face, mode)
#define gilColorPointerEXT(size, type, stride, count, pointer) gCGraphics.gilColorPointerEXT(size, type, stride, count, pointer)
#define gilColorTableParameterfvSGI(target, pname, params) gCGraphics.gilColorTableParameterfvSGI(target, pname, params)
#define gilColorTableParameterivSGI(target, pname, params) gCGraphics.gilColorTableParameterivSGI(target, pname, params)
#define gilColorTableSGI(target, internalformat, width, format, type, table) gCGraphics.gilColorTableSGI(target, internalformat, width, format, type, table)
#define gilConvolutionFilter1DEXT(target, internalformat, width, format, type, image) gCGraphics.gilConvolutionFilter1DEXT(target, internalformat, width, format, type, image)
#define gilConvolutionFilter2DEXT(target, internalformat, width, height, format, type, image) gCGraphics.gilConvolutionFilter2DEXT(target, internalformat, width, height, format, type, image)
#define gilConvolutionParameterfEXT(target, pname, params) gCGraphics.gilConvolutionParameterfEXT(target, pname, params)
#define gilConvolutionParameterfvEXT(target, pname, params) gCGraphics.gilConvolutionParameterfvEXT(target, pname, params)
#define gilConvolutionParameteriEXT(target, pname, params) gCGraphics.gilConvolutionParameteriEXT(target, pname, params)
#define gilConvolutionParameterivEXT(target, pname, params) gCGraphics.gilConvolutionParameterivEXT(target, pname, params)
#define gilCopyColorTableSGI(target, internalformat, x, y, width) gCGraphics.gilCopyColorTableSGI(target, internalformat, x, y, width)
#define gilCopyConvolutionFilter1DEXT(target, internalformat, x, y, width) gCGraphics.gilCopyConvolutionFilter1DEXT(target, internalformat, x, y, width)
#define gilCopyConvolutionFilter2DEXT(target, internalformat, x, y, width, height) gCGraphics.gilCopyConvolutionFilter2DEXT(target, internalformat, x, y, width, height)
#define gilCopyPixels(x, y, width, height, type) gCGraphics.gilCopyPixels(x, y, width, height, type)
#define gilCopyTexImage1DEXT(target, level, internalformat, x, y, width, border) gCGraphics.gilCopyTexImage1DEXT(target, level, internalformat, x, y, width, border)
#define gilCopyTexImage2DEXT(target, level, internalformat, x, y, width, height, border) gCGraphics.gilCopyTexImage2DEXT(target, level, internalformat, x, y, width, height, border)
#define gilCopyTexSubImage1DEXT(target, level, xoffset, x, y, width) gCGraphics.gilCopyTexSubImage1DEXT(target, level, xoffset, x, y, width)
#define gilCopyTexSubImage2DEXT(target, level, xoffset, yoffset, x, y, width, height) gCGraphics.gilCopyTexSubImage2DEXT(target, level, xoffset, yoffset, x, y, width, height)
#define gilCopyTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, x, y, width, height) gCGraphics.gilCopyTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, x, y, width, height)
#define gilCullFace(mode) gCGraphics.gilCullFace(mode)
#define gilDeformSGIX(mask) gCGraphics.gilDeformSGIX(mask)
#define gilDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) gCGraphics.gilDeformationMap3dSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points)
#define gilDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points) gCGraphics.gilDeformationMap3fSGIX(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points)
#define gilDeleteLists(list, range) gCGraphics.gilDeleteLists(list, range)
#define gilDeleteTexturesEXT(n, textures) gCGraphics.gilDeleteTexturesEXT(n, textures)
#define gilDepthFunc(func) gCGraphics.gilDepthFunc(func)
#define gilDepthMask(flag) gCGraphics.gilDepthMask(flag)
#define gilDepthRange(near, far) gCGraphics.gilDepthRange(near, far)
#define gilDetailTexFuncSGIS(target, n, points) gCGraphics.gilDetailTexFuncSGIS(target, n, points)
#define gilDisable(cap) gCGraphics.gilDisable(cap)
#define gilDrawArraysEXT(mode, first, count) gCGraphics.gilDrawArraysEXT(mode, first, count)
#define gilDrawBuffer(mode) gCGraphics.gilDrawBuffer(mode)
#define gilDrawPixels(width, height, format, type, pixels) gCGraphics.gilDrawPixels(width, height, format, type, pixels)
#define gilEdgeFlag(flag) gCGraphics.gilEdgeFlag(flag)
#define gilEdgeFlagPointerEXT(stride, count, pointer) gCGraphics.gilEdgeFlagPointerEXT(stride, count, pointer)
#define gilEdgeFlagv(flag) gCGraphics.gilEdgeFlagv(flag)
#define gilEnable(cap) gCGraphics.gilEnable(cap)
#define gilEnd() gCGraphics.gilEnd()
#define gilEndList() gCGraphics.gilEndList()
#define gilEvalCoord1d(u) gCGraphics.gilEvalCoord1d(u)
#define gilEvalCoord1dv(u) gCGraphics.gilEvalCoord1dv(u)
#define gilEvalCoord1f(u) gCGraphics.gilEvalCoord1f(u)
#define gilEvalCoord1fv(u) gCGraphics.gilEvalCoord1fv(u)
#define gilEvalCoord2d(u, v) gCGraphics.gilEvalCoord2d(u, v)
#define gilEvalCoord2dv(u) gCGraphics.gilEvalCoord2dv(u)
#define gilEvalCoord2f(u, v) gCGraphics.gilEvalCoord2f(u, v)
#define gilEvalCoord2fv(u) gCGraphics.gilEvalCoord2fv(u)
#define gilEvalMesh1(mode, i1, i2) gCGraphics.gilEvalMesh1(mode, i1, i2)
#define gilEvalMesh2(mode, i1, i2, j1, j2) gCGraphics.gilEvalMesh2(mode, i1, i2, j1, j2)
#define gilEvalPoint1(i) gCGraphics.gilEvalPoint1(i)
#define gilEvalPoint2(i, j) gCGraphics.gilEvalPoint2(i, j)
#define gilFeedbackBuffer(size, type, buffer) gCGraphics.gilFeedbackBuffer(size, type, buffer)
#define gilFinish() gCGraphics.gilFinish()
#define gilFlush() gCGraphics.gilFlush()
#define gilFlushRasterSGIX() gCGraphics.gilFlushRasterSGIX()
#define gilFogFuncSGIS(n, points) gCGraphics.gilFogFuncSGIS(n, points)
#define gilFogf(pname, param) gCGraphics.gilFogf(pname, param)
#define gilFogfv(pname, params) gCGraphics.gilFogfv(pname, params)
#define gilFogi(pname, param) gCGraphics.gilFogi(pname, param)
#define gilFogiv(pname, params) gCGraphics.gilFogiv(pname, params)
#define gilFrameZoomSGIX(factor) gCGraphics.gilFrameZoomSGIX(factor)
#define gilFrontFace(mode) gCGraphics.gilFrontFace(mode)
#define gilFrustum(left, right, bottom, top, near, far) gCGraphics.gilFrustum(left, right, bottom, top, near, far)
#define gilGenLists(range) gCGraphics.gilGenLists(range)
#define gilGenTexturesEXT(n, textures) gCGraphics.gilGenTexturesEXT(n, textures)
#define gilGetBooleanv(pname, params) gCGraphics.gilGetBooleanv(pname, params)
#define gilGetClipPlane(plane, equation) gCGraphics.gilGetClipPlane(plane, equation)
#define gilGetColorTableParameterfvSGI(target, pname, params) gCGraphics.gilGetColorTableParameterfvSGI(target, pname, params)
#define gilGetColorTableParameterivSGI(target, pname, params) gCGraphics.gilGetColorTableParameterivSGI(target, pname, params)
#define gilGetColorTableSGI(target, format, type, table) gCGraphics.gilGetColorTableSGI(target, format, type, table)
#define gilGetConvolutionFilterEXT(target, format, type, image) gCGraphics.gilGetConvolutionFilterEXT(target, format, type, image)
#define gilGetConvolutionParameterfvEXT(target, pname, params) gCGraphics.gilGetConvolutionParameterfvEXT(target, pname, params)
#define gilGetConvolutionParameterivEXT(target, pname, params) gCGraphics.gilGetConvolutionParameterivEXT(target, pname, params)
#define gilGetDetailTexFuncSGIS(target, points) gCGraphics.gilGetDetailTexFuncSGIS(target, points)
#define gilGetDoublev(pname, params) gCGraphics.gilGetDoublev(pname, params)
#define gilGetError() gCGraphics.gilGetError()
#define gilGetFloatv(pname, params) gCGraphics.gilGetFloatv(pname, params)
#define gilGetHistogramEXT(target, reset, format, type, values) gCGraphics.gilGetHistogramEXT(target, reset, format, type, values)
#define gilGetHistogramParameterfvEXT(target, pname, params) gCGraphics.gilGetHistogramParameterfvEXT(target, pname, params)
#define gilGetHistogramParameterivEXT(target, pname, params) gCGraphics.gilGetHistogramParameterivEXT(target, pname, params)
#define gilGetInstrumentsSGIX() gCGraphics.gilGetInstrumentsSGIX()
#define gilGetIntegerv(pname, params) gCGraphics.gilGetIntegerv(pname, params)
#define gilGetLightfv(light, pname, params) gCGraphics.gilGetLightfv(light, pname, params)
#define gilGetLightiv(light, pname, params) gCGraphics.gilGetLightiv(light, pname, params)
#define gilGetMapdv(target, query, v) gCGraphics.gilGetMapdv(target, query, v)
#define gilGetMapfv(target, query, v) gCGraphics.gilGetMapfv(target, query, v)
#define gilGetMapiv(target, query, v) gCGraphics.gilGetMapiv(target, query, v)
#define gilGetMaterialfv(face, pname, params) gCGraphics.gilGetMaterialfv(face, pname, params)
#define gilGetMaterialiv(face, pname, params) gCGraphics.gilGetMaterialiv(face, pname, params)
#define gilGetMinmaxEXT(target, reset, format, type, values) gCGraphics.gilGetMinmaxEXT(target, reset, format, type, values)
#define gilGetMinmaxParameterfvEXT(target, pname, params) gCGraphics.gilGetMinmaxParameterfvEXT(target, pname, params)
#define gilGetMinmaxParameterivEXT(target, pname, params) gCGraphics.gilGetMinmaxParameterivEXT(target, pname, params)
#define gilGetPixelMapfv(map, values) gCGraphics.gilGetPixelMapfv(map, values)
#define gilGetPixelMapuiv(map, values) gCGraphics.gilGetPixelMapuiv(map, values)
#define gilGetPixelMapusv(map, values) gCGraphics.gilGetPixelMapusv(map, values)
#define gilGetPointervEXT(pname, params) gCGraphics.gilGetPointervEXT(pname, params)
#define gilGetPolygonStipple(mask) gCGraphics.gilGetPolygonStipple(mask)
#define gilGetSeparableFilterEXT(target, format, type, row, column, span) gCGraphics.gilGetSeparableFilterEXT(target, format, type, row, column, span)
#define gilGetSharpenTexFuncSGIS(target, points) gCGraphics.gilGetSharpenTexFuncSGIS(target, points)
#define  glGetString(name) q glGetString(name)
#define gilGetTexEnvfv(target, pname, params) gCGraphics.gilGetTexEnvfv(target, pname, params)
#define gilGetTexEnviv(target, pname, params) gCGraphics.gilGetTexEnviv(target, pname, params)
#define gilGetTexFilterFuncSGIS(target, filter, weights) gCGraphics.gilGetTexFilterFuncSGIS(target, filter, weights)
#define gilGetTexGendv(coord, pname, params) gCGraphics.gilGetTexGendv(coord, pname, params)
#define gilGetTexGenfv(coord, pname, params) gCGraphics.gilGetTexGenfv(coord, pname, params)
#define gilGetTexGeniv(coord, pname, params) gCGraphics.gilGetTexGeniv(coord, pname, params)
#define gilGetTexImage(target, level, format, type, pixels) gCGraphics.gilGetTexImage(target, level, format, type, pixels)
#define gilGetTexLevelParameterfv(target, level, pname, params) gCGraphics.gilGetTexLevelParameterfv(target, level, pname, params)
#define gilGetTexLevelParameteriv(target, level, pname, params) gCGraphics.gilGetTexLevelParameteriv(target, level, pname, params)
#define gilGetTexParameterfv(target, pname, params) gCGraphics.gilGetTexParameterfv(target, pname, params)
#define gilGetTexParameteriv(target, pname, params) gCGraphics.gilGetTexParameteriv(target, pname, params)
#define gilHint(target, mode) gCGraphics.gilHint(target, mode)
#define gilHistogramEXT(target, width, internalformat, sink) gCGraphics.gilHistogramEXT(target, width, internalformat, sink)
#define gilIndexMask(mask) gCGraphics.gilIndexMask(mask)
#define gilIndexPointerEXT(type, stride, count, pointer) gCGraphics.gilIndexPointerEXT(type, stride, count, pointer)
#define gilIndexd(c) gCGraphics.gilIndexd(c)
#define gilIndexdv(c) gCGraphics.gilIndexdv(c)
#define gilIndexf(c) gCGraphics.gilIndexf(c)
#define gilIndexfv(c) gCGraphics.gilIndexfv(c)
#define gilIndexi(c) gCGraphics.gilIndexi(c)
#define gilIndexiv(c) gCGraphics.gilIndexiv(c)
#define gilIndexs(c) gCGraphics.gilIndexs(c)
#define gilIndexsv(c) gCGraphics.gilIndexsv(c)
#define gilInitNames() gCGraphics.gilInitNames()
#define gilIsEnabled(cap) gCGraphics.gilIsEnabled(cap)
#define gilIsList(list) gCGraphics.gilIsList(list)
#define gilIsTextureEXT(texture) gCGraphics.gilIsTextureEXT(texture)
#define gilLightModelf(pname, param) gCGraphics.gilLightModelf(pname, param)
#define gilLightModelfv(pname, params) gCGraphics.gilLightModelfv(pname, params)
#define gilLightModeli(pname, param) gCGraphics.gilLightModeli(pname, param)
#define gilLightModeliv(pname, params) gCGraphics.gilLightModeliv(pname, params)
#define gilLightf(light, pname, param) gCGraphics.gilLightf(light, pname, param)
#define gilLightfv(light, pname, params) gCGraphics.gilLightfv(light, pname, params)
#define gilLighti(light, pname, param) gCGraphics.gilLighti(light, pname, param)
#define gilLightiv(light, pname, params) gCGraphics.gilLightiv(light, pname, params)
#define gilLineStipple(factor, pattern) gCGraphics.gilLineStipple(factor, pattern)
#define gilLineWidth(width) gCGraphics.gilLineWidth(width)
#define gilListBase(base) gCGraphics.gilListBase(base)
#define gilLoadIdentity() gCGraphics.gilLoadIdentity()
#define gilLoadIdentityDeformationMapSGIX(mask) gCGraphics.gilLoadIdentityDeformationMapSGIX(mask)
#define gilLoadMatrixd(m) gCGraphics.gilLoadMatrixd(m)
#define gilLoadMatrixf(m) gCGraphics.gilLoadMatrixf(m)
#define gilLoadName(name) gCGraphics.gilLoadName(name)
#define gilLogicOp(opcode) gCGraphics.gilLogicOp(opcode)
#define gilMap1d(target, u1, u2, stride, order, points) gCGraphics.gilMap1d(target, u1, u2, stride, order, points)
#define gilMap1f(target, u1, u2, stride, order, points) gCGraphics.gilMap1f(target, u1, u2, stride, order, points)
#define gilMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) gCGraphics.gilMap2d(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
#define gilMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points) gCGraphics.gilMap2f(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
#define gilMapGrid1d(un, u1, u2) gCGraphics.gilMapGrid1d(un, u1, u2)
#define gilMapGrid1f(un, u1, u2) gCGraphics.gilMapGrid1f(un, u1, u2)
#define gilMapGrid2d(un, u1, u2, vn, v1, v2) gCGraphics.gilMapGrid2d(un, u1, u2, vn, v1, v2)
#define gilMapGrid2f(un, u1, u2, vn, v1, v2) gCGraphics.gilMapGrid2f(un, u1, u2, vn, v1, v2)
#define gilMaterialf(face, pname, param) gCGraphics.gilMaterialf(face, pname, param)
#define gilMaterialfv(face, pname, params) gCGraphics.gilMaterialfv(face, pname, params)
#define gilMateriali(face, pname, param) gCGraphics.gilMateriali(face, pname, param)
#define gilMaterialiv(face, pname, params) gCGraphics.gilMaterialiv(face, pname, params)
#define gilMatrixMode(mode) gCGraphics.gilMatrixMode(mode)
#define gilMinmaxEXT(target, internalformat, sink) gCGraphics.gilMinmaxEXT(target, internalformat, sink)
#define gilMultMatrixd(m) gCGraphics.gilMultMatrixd(m)
#define gilMultMatrixf(m) gCGraphics.gilMultMatrixf(m)
#define gilNewList(list, mode) gCGraphics.gilNewList(list, mode)
#define gilNormal3b(nx, ny, nz) gCGraphics.gilNormal3b(nx, ny, nz)
#define gilNormal3bv(v) gCGraphics.gilNormal3bv(v)
#define gilNormal3d(nx, ny, nz) gCGraphics.gilNormal3d(nx, ny, nz)
#define gilNormal3dv(v) gCGraphics.gilNormal3dv(v)
#define gilNormal3f(nx, ny, nz) gCGraphics.gilNormal3f(nx, ny, nz)
#define gilNormal3fv(v) gCGraphics.gilNormal3fv(v)
#define gilNormal3i(nx, ny, nz) gCGraphics.gilNormal3i(nx, ny, nz)
#define gilNormal3iv(v) gCGraphics.gilNormal3iv(v)
#define gilNormal3s(nx, ny, nz) gCGraphics.gilNormal3s(nx, ny, nz)
#define gilNormal3sv(v) gCGraphics.gilNormal3sv(v)
#define gilNormalPointerEXT(type, stride, count, pointer) gCGraphics.gilNormalPointerEXT(type, stride, count, pointer)
#define gilOrtho(left, right, bottom, top, near, far) gCGraphics.gilOrtho(left, right, bottom, top, near, far)
#define gilPassThrough(token) gCGraphics.gilPassThrough(token)
#define gilPipelineInstrumentsBufferSGIX(size, buffer) gCGraphics.gilPipelineInstrumentsBufferSGIX(size, buffer)
#define gilPixelMapfv(map, mapsize, values) gCGraphics.gilPixelMapfv(map, mapsize, values)
#define gilPixelMapuiv(map, mapsize, values) gCGraphics.gilPixelMapuiv(map, mapsize, values)
#define gilPixelMapusv(map, mapsize, values) gCGraphics.gilPixelMapusv(map, mapsize, values)
#define gilPixelStoref(pname, param) gCGraphics.gilPixelStoref(pname, param)
#define gilPixelStorei(pname, param) gCGraphics.gilPixelStorei(pname, param)
#define gilPixelTexGenSGIX(mode) gCGraphics.gilPixelTexGenSGIX(mode)
#define gilPixelTransferf(pname, param) gCGraphics.gilPixelTransferf(pname, param)
#define gilPixelTransferi(pname, param) gCGraphics.gilPixelTransferi(pname, param)
#define gilPixelZoom(xfactor, yfactor) gCGraphics.gilPixelZoom(xfactor, yfactor)
#define gilPointParameterfSGIS(pname, param) gCGraphics.gilPointParameterfSGIS(pname, param)
#define gilPointParameterfvSGIS(pname, params) gCGraphics.gilPointParameterfvSGIS(pname, params)
#define gilPointSize(size) gCGraphics.gilPointSize(size)
#define gilPollInstrumentsSGIX(marker_p) gCGraphics.gilPollInstrumentsSGIX(marker_p)
#define gilPolygonMode(face, mode) gCGraphics.gilPolygonMode(face, mode)
#define gilPolygonOffsetEXT(factor, bias) gCGraphics.gilPolygonOffsetEXT(factor, bias)
#define gilPolygonStipple(mask) gCGraphics.gilPolygonStipple(mask)
#define gilPopAttrib() gCGraphics.gilPopAttrib()
#define gilPopMatrix() gCGraphics.gilPopMatrix()
#define gilPopName() gCGraphics.gilPopName()
#define gilPrioritizeTexturesEXT(n, textures, priorities) gCGraphics.gilPrioritizeTexturesEXT(n, textures, priorities)
#define gilPushAttrib(mask) gCGraphics.gilPushAttrib(mask)
#define gilPushMatrix() gCGraphics.gilPushMatrix()
#define gilPushName(name) gCGraphics.gilPushName(name)
#define gilRasterPos2d(x, y) gCGraphics.gilRasterPos2d(x, y)
#define gilRasterPos2dv(v) gCGraphics.gilRasterPos2dv(v)
#define gilRasterPos2f(x, y) gCGraphics.gilRasterPos2f(x, y)
#define gilRasterPos2fv(v) gCGraphics.gilRasterPos2fv(v)
#define gilRasterPos2i(x, y) gCGraphics.gilRasterPos2i(x, y)
#define gilRasterPos2iv(v) gCGraphics.gilRasterPos2iv(v)
#define gilRasterPos2s(x, y) gCGraphics.gilRasterPos2s(x, y)
#define gilRasterPos2sv(v) gCGraphics.gilRasterPos2sv(v)
#define gilRasterPos3d(x, y, z) gCGraphics.gilRasterPos3d(x, y, z)
#define gilRasterPos3dv(v) gCGraphics.gilRasterPos3dv(v)
#define gilRasterPos3f(x, y, z) gCGraphics.gilRasterPos3f(x, y, z)
#define gilRasterPos3fv(v) gCGraphics.gilRasterPos3fv(v)
#define gilRasterPos3i(x, y, z) gCGraphics.gilRasterPos3i(x, y, z)
#define gilRasterPos3iv(v) gCGraphics.gilRasterPos3iv(v)
#define gilRasterPos3s(x, y, z) gCGraphics.gilRasterPos3s(x, y, z)
#define gilRasterPos3sv(v) gCGraphics.gilRasterPos3sv(v)
#define gilRasterPos4d(x, y, z, w) gCGraphics.gilRasterPos4d(x, y, z, w)
#define gilRasterPos4dv(v) gCGraphics.gilRasterPos4dv(v)
#define gilRasterPos4f(x, y, z, w) gCGraphics.gilRasterPos4f(x, y, z, w)
#define gilRasterPos4fv(v) gCGraphics.gilRasterPos4fv(v)
#define gilRasterPos4i(x, y, z, w) gCGraphics.gilRasterPos4i(x, y, z, w)
#define gilRasterPos4iv(v) gCGraphics.gilRasterPos4iv(v)
#define gilRasterPos4s(x, y, z, w) gCGraphics.gilRasterPos4s(x, y, z, w)
#define gilRasterPos4sv(v) gCGraphics.gilRasterPos4sv(v)
#define gilReadBuffer(mode) gCGraphics.gilReadBuffer(mode)
#define gilReadPixels(x, y, width, height, format, type, pixels) gCGraphics.gilReadPixels(x, y, width, height, format, type, pixels)
#define gilRectd(x1, y1, x2, y2) gCGraphics.gilRectd(x1, y1, x2, y2)
#define gilRectdv(v1, v2) gCGraphics.gilRectdv(v1, v2)
#define gilRectf(x1, y1, x2, y2) gCGraphics.gilRectf(x1, y1, x2, y2)
#define gilRectfv(v1, v2) gCGraphics.gilRectfv(v1, v2)
#define gilRecti(x1, y1, x2, y2) gCGraphics.gilRecti(x1, y1, x2, y2)
#define gilRectiv(v1, v2) gCGraphics.gilRectiv(v1, v2)
#define gilRects(x1, y1, x2, y2) gCGraphics.gilRects(x1, y1, x2, y2)
#define gilRectsv(v1, v2) gCGraphics.gilRectsv(v1, v2)
#define gilReferencePlaneSGIX(equation) gCGraphics.gilReferencePlaneSGIX(equation)
#define gilRenderMode(mode) gCGraphics.gilRenderMode(mode)
#define gilResetHistogramEXT(target) gCGraphics.gilResetHistogramEXT(target)
#define gilResetMinmaxEXT(target) gCGraphics.gilResetMinmaxEXT(target)
#define gilRotated(angle, x, y, z) gCGraphics.gilRotated(angle, x, y, z)
#define gilRotatef(angle, x, y, z) gCGraphics.gilRotatef(angle, x, y, z)
#define gilSampleMaskSGIS(value, invert) gCGraphics.gilSampleMaskSGIS(value, invert)
#define gilSamplePatternSGIS(pattern) gCGraphics.gilSamplePatternSGIS(pattern)
#define gilScaled(x, y, z) gCGraphics.gilScaled(x, y, z)
#define gilScalef(x, y, z) gCGraphics.gilScalef(x, y, z)
#define gilScissor(x, y, width, height) gCGraphics.gilScissor(x, y, width, height)
#define gilSelectBuffer(size, buffer) gCGraphics.gilSelectBuffer(size, buffer)
#define gilSeparableFilter2DEXT(target, internalformat, width, height, format, type, row, column) gCGraphics.gilSeparableFilter2DEXT(target, internalformat, width, height, format, type, row, column)
#define gilShadeModel(mode) gCGraphics.gilShadeModel(mode)
#define gilSharpenTexFuncSGIS(target, n, points) gCGraphics.gilSharpenTexFuncSGIS(target, n, points)
#define gilSpriteParameterfSGIX(pname, param) gCGraphics.gilSpriteParameterfSGIX(pname, param)
#define gilSpriteParameterfvSGIX(pname, params) gCGraphics.gilSpriteParameterfvSGIX(pname, params)
#define gilSpriteParameteriSGIX(pname, param) gCGraphics.gilSpriteParameteriSGIX(pname, param)
#define gilSpriteParameterivSGIX(pname, params) gCGraphics.gilSpriteParameterivSGIX(pname, params)
#define gilStartInstrumentsSGIX() gCGraphics.gilStartInstrumentsSGIX()
#define gilStencilFunc(func, ref, mask) gCGraphics.gilStencilFunc(func, ref, mask)
#define gilStencilMask(mask) gCGraphics.gilStencilMask(mask)
#define gilStencilOp(fail, zfail, zpass) gCGraphics.gilStencilOp(fail, zfail, zpass)
#define gilStopInstrumentsSGIX(marker) gCGraphics.gilStopInstrumentsSGIX(marker)
#define gilTagSampleBufferSGIX() gCGraphics.gilTagSampleBufferSGIX()
#define gilTexCoord1d(s) gCGraphics.gilTexCoord1d(s)
#define gilTexCoord1dv(v) gCGraphics.gilTexCoord1dv(v)
#define gilTexCoord1f(s) gCGraphics.gilTexCoord1f(s)
#define gilTexCoord1fv(v) gCGraphics.gilTexCoord1fv(v)
#define gilTexCoord1i(s) gCGraphics.gilTexCoord1i(s)
#define gilTexCoord1iv(v) gCGraphics.gilTexCoord1iv(v)
#define gilTexCoord1s(s) gCGraphics.gilTexCoord1s(s)
#define gilTexCoord1sv(v) gCGraphics.gilTexCoord1sv(v)
#define gilTexCoord2d(s, t) gCGraphics.gilTexCoord2d(s, t)
#define gilTexCoord2dv(v) gCGraphics.gilTexCoord2dv(v)
#define gilTexCoord2f(s, t) gCGraphics.gilTexCoord2f(s, t)
#define gilTexCoord2fv(v) gCGraphics.gilTexCoord2fv(v)
#define gilTexCoord2i(s, t) gCGraphics.gilTexCoord2i(s, t)
#define gilTexCoord2iv(v) gCGraphics.gilTexCoord2iv(v)
#define gilTexCoord2s(s, t) gCGraphics.gilTexCoord2s(s, t)
#define gilTexCoord2sv(v) gCGraphics.gilTexCoord2sv(v)
#define gilTexCoord3d(s, t, r) gCGraphics.gilTexCoord3d(s, t, r)
#define gilTexCoord3dv(v) gCGraphics.gilTexCoord3dv(v)
#define gilTexCoord3f(s, t, r) gCGraphics.gilTexCoord3f(s, t, r)
#define gilTexCoord3fv(v) gCGraphics.gilTexCoord3fv(v)
#define gilTexCoord3i(s, t, r) gCGraphics.gilTexCoord3i(s, t, r)
#define gilTexCoord3iv(v) gCGraphics.gilTexCoord3iv(v)
#define gilTexCoord3s(s, t, r) gCGraphics.gilTexCoord3s(s, t, r)
#define gilTexCoord3sv(v) gCGraphics.gilTexCoord3sv(v)
#define gilTexCoord4d(s, t, r, q) gCGraphics.gilTexCoord4d(s, t, r, q)
#define gilTexCoord4dv(v) gCGraphics.gilTexCoord4dv(v)
#define gilTexCoord4f(s, t, r, q) gCGraphics.gilTexCoord4f(s, t, r, q)
#define gilTexCoord4fv(v) gCGraphics.gilTexCoord4fv(v)
#define gilTexCoord4i(s, t, r, q) gCGraphics.gilTexCoord4i(s, t, r, q)
#define gilTexCoord4iv(v) gCGraphics.gilTexCoord4iv(v)
#define gilTexCoord4s(s, t, r, q) gCGraphics.gilTexCoord4s(s, t, r, q)
#define gilTexCoord4sv(v) gCGraphics.gilTexCoord4sv(v)
#define gilTexCoordPointerEXT(size, type, stride, count, pointer) gCGraphics.gilTexCoordPointerEXT(size, type, stride, count, pointer)
#define gilTexEnvf(target, pname, param) gCGraphics.gilTexEnvf(target, pname, param)
#define gilTexEnvfv(target, pname, params) gCGraphics.gilTexEnvfv(target, pname, params)
#define gilTexEnvi(target, pname, param) gCGraphics.gilTexEnvi(target, pname, param)
#define gilTexEnviv(target, pname, params) gCGraphics.gilTexEnviv(target, pname, params)
#define gilTexFilterFuncSGIS(target, filter, n, weights) gCGraphics.gilTexFilterFuncSGIS(target, filter, n, weights)
#define gilTexGend(coord, pname, param) gCGraphics.gilTexGend(coord, pname, param)
#define gilTexGendv(coord, pname, params) gCGraphics.gilTexGendv(coord, pname, params)
#define gilTexGenf(coord, pname, param) gCGraphics.gilTexGenf(coord, pname, param)
#define gilTexGenfv(coord, pname, params) gCGraphics.gilTexGenfv(coord, pname, params)
#define gilTexGeni(coord, pname, param) gCGraphics.gilTexGeni(coord, pname, param)
#define gilTexGeniv(coord, pname, params) gCGraphics.gilTexGeniv(coord, pname, params)
#define gilTexImage1D(target, level, components, width, border, format, type, pixels) gCGraphics.gilTexImage1D(target, level, components, width, border, format, type, pixels)
#define gilTexImage2D(target, level, components, width, height, border, format, type, pixels) gCGraphics.gilTexImage2D(target, level, components, width, height, border, format, type, pixels)
#define gilTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels) gCGraphics.gilTexImage3DEXT(target, level, internalformat, width, height, depth, border, format, type, pixels)
#define gilTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels) gCGraphics.gilTexImage4DSGIS(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels)
#define gilTexParameterf(target, pname, param) gCGraphics.gilTexParameterf(target, pname, param)
#define gilTexParameterfv(target, pname, params) gCGraphics.gilTexParameterfv(target, pname, params)
#define gilTexParameteri(target, pname, param) gCGraphics.gilTexParameteri(target, pname, param)
#define gilTexParameteriv(target, pname, params) gCGraphics.gilTexParameteriv(target, pname, params)
#define gilTexSubImage1DEXT(target, level, xoffset, width, format, type, pixels) gCGraphics.gilTexSubImage1DEXT(target, level, xoffset, width, format, type, pixels)
#define gilTexSubImage2DEXT(target, level, xoffset, yoffset, width, height, format, type, pixels) gCGraphics.gilTexSubImage2DEXT(target, level, xoffset, yoffset, width, height, format, type, pixels)
#define gilTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels) gCGraphics.gilTexSubImage3DEXT(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels)
#define gilTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels) gCGraphics.gilTexSubImage4DSGIS(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels)
#define gilTranslated(x, y, z) gCGraphics.gilTranslated(x, y, z)
#define gilTranslatef(x, y, z) gCGraphics.gilTranslatef(x, y, z)
#define gilVertex2d(x, y) gCGraphics.gilVertex2d(x, y)
#define gilVertex2dv(v) gCGraphics.gilVertex2dv(v)
#define gilVertex2f(x, y) gCGraphics.gilVertex2f(x, y)
#define gilVertex2fv(v) gCGraphics.gilVertex2fv(v)
#define gilVertex2i(x, y) gCGraphics.gilVertex2i(x, y)
#define gilVertex2iv(v) gCGraphics.gilVertex2iv(v)
#define gilVertex2s(x, y) gCGraphics.gilVertex2s(x, y)
#define gilVertex2sv(v) gCGraphics.gilVertex2sv(v)
#define gilVertex3d(x, y, z) gCGraphics.gilVertex3d(x, y, z)
#define gilVertex3dv(v) gCGraphics.gilVertex3dv(v)
#define gilVertex3f(x, y, z) gCGraphics.gilVertex3f(x, y, z)
#define gilVertex3fv(v) gCGraphics.gilVertex3fv(v)
#define gilVertex3i(x, y, z) gCGraphics.gilVertex3i(x, y, z)
#define gilVertex3iv(v) gCGraphics.gilVertex3iv(v)
#define gilVertex3s(x, y, z) gCGraphics.gilVertex3s(x, y, z)
#define gilVertex3sv(v) gCGraphics.gilVertex3sv(v)
#define gilVertex4d(x, y, z, w) gCGraphics.gilVertex4d(x, y, z, w)
#define gilVertex4dv(v) gCGraphics.gilVertex4dv(v)
#define gilVertex4f(x, y, z, w) gCGraphics.gilVertex4f(x, y, z, w)
#define gilVertex4fv(v) gCGraphics.gilVertex4fv(v)
#define gilVertex4i(x, y, z, w) gCGraphics.gilVertex4i(x, y, z, w)
#define gilVertex4iv(v) gCGraphics.gilVertex4iv(v)
#define gilVertex4s(x, y, z, w) gCGraphics.gilVertex4s(x, y, z, w)
#define gilVertex4sv(v) gCGraphics.gilVertex4sv(v)
#define gilVertexPointerEXT(size, type, stride, count, pointer) gCGraphics.gilVertexPointerEXT(size, type, stride, count, pointer)
#define gilViewport(x, y, width, height) gCGraphics.gilViewport(x, y, width, height)

//////////////////////////////////////////////////
// OpenGL Interface -- "GL/glu.h"
//
#define giluDisk(quad, inner, outer, slices, loops) gCGraphics.giluDisk(quad, inner, outer, slices, loops)
#define giluEndCurve(nurb) gCGraphics.giluEndCurve(nurb)
#define giluEndPolygon(tess) gCGraphics.giluEndPolygon(tess)
#define giluEndSurface(nurb) gCGraphics.giluEndSurface(nurb)
#define giluEndTrim(nurb) gCGraphics.giluEndTrim(nurb)
#define giluErrorString(error) gCGraphics.giluErrorString(error)
#define giluGetNurbsProperty(nurb, property, data) gCGraphics.giluGetNurbsProperty(nurb, property, data)
#define giluGetString(name) gCGraphics.giluGetString(name)
#define giluGetTessProperty(tess, which, data) gCGraphics.giluGetTessProperty(tess, which, data)
#define giluLoadSamplingMatrices(nurb, model, perspective, view) gCGraphics.giluLoadSamplingMatrices(nurb, model, perspective, view)
#define giluLookAt(eyeX, eyeY, eyeZ, centerX, centerY, centerZ, upX, upY, upZ) gCGraphics.giluLookAt(eyeX, eyeY, eyeZ, centerX, centerY, centerZ, upX, upY, upZ)
#define giluNewNurbsRenderer() gCGraphics.giluNewNurbsRenderer()
#define giluNewQuadric() gCGraphics.giluNewQuadric()
#define giluNewTess() gCGraphics.giluNewTess()
#define giluNextContour(tess, type) gCGraphics.giluNextContour(tess, type)
#define giluNurbsCallback(nurb, which, CallBackFunc) gCGraphics.giluNurbsCallback(nurb, which, CallBackFunc)
#define giluNurbsCurve(nurb, knotCount, knots, stride, control, order, type) gCGraphics.giluNurbsCurve(nurb, knotCount, knots, stride, control, order, type)
#define giluNurbsProperty(nurb, property, value) gCGraphics.giluNurbsProperty(nurb, property, value)
#define giluNurbsSurface(nurb, sKnotCount, sKnots, tKnotCount, tKnots, sStride, tStride, control, sOrder, tOrder, type) gCGraphics.giluNurbsSurface(nurb, sKnotCount, sKnots, tKnotCount, tKnots, sStride, tStride, control, sOrder, tOrder, type)
#define giluOrtho2D(left, right, bottom, top) gCGraphics.giluOrtho2D(left, right, bottom, top)
#define giluPartialDisk(quad, inner, outer, slices, loops, start, sweep) gCGraphics.giluPartialDisk(quad, inner, outer, slices, loops, start, sweep)
#define giluPerspective(fovy, aspect, zNear, zFar) gCGraphics.giluPerspective(fovy, aspect, zNear, zFar)
#define giluPickMatrix(x, y, delX, delY, viewport) gCGraphics.giluPickMatrix(x, y, delX, delY, viewport)
#define giluProject(objX, objY, objZ, model, proj, view, winX, winY, winZ) gCGraphics.giluProject(objX, objY, objZ, model, proj, view, winX, winY, winZ)
#define giluPwlCurve(nurb, count, data, stride, type) gCGraphics.giluPwlCurve(nurb, count, data, stride, type)
#define giluQuadricCallback(quad, which, CallBackFunc) gCGraphics.giluQuadricCallback(quad, which, CallBackFunc)
#define giluQuadricDrawStyle(quad, draw) gCGraphics.giluQuadricDrawStyle(quad, draw)
#define giluQuadricNormals(quad, normal) gCGraphics.giluQuadricNormals(quad, normal)
#define giluQuadricOrientation(quad, orientation) gCGraphics.giluQuadricOrientation(quad, orientation)
#define giluQuadricTexture(quad, texture) gCGraphics.giluQuadricTexture(quad, texture)
#define giluScaleImage(format, wIn, hIn, typeIn, dataIn, wOut, hOut, typeOut, dataOut) gCGraphics.giluScaleImage(format, wIn, hIn, typeIn, dataIn, wOut, hOut, typeOut, dataOut)
#define giluSphere(quad, radius, slices, stacks) gCGraphics.giluSphere(quad, radius, slices, stacks)
#define giluTessBeginContour(tess) gCGraphics.giluTessBeginContour(tess)
#define giluTessBeginPolygon(tess, data) gCGraphics.giluTessBeginPolygon(tess, data)
#define giluTessCallback(tess, which, CallBackFunc) gCGraphics.giluTessCallback(tess, which, CallBackFunc)
#define giluTessEndContour(tess) gCGraphics.giluTessEndContour(tess)
#define giluTessEndPolygon(tess) gCGraphics.giluTessEndPolygon(tess)
#define giluTessNormal(tess, valueX, valueY, valueZ) gCGraphics.giluTessNormal(tess, valueX, valueY, valueZ)
#define giluTessProperty(tess, which, data) gCGraphics.giluTessProperty(tess, which, data)
#define giluTessVertex(tess, location, data) gCGraphics.giluTessVertex(tess, location, data)
#define giluUnProject(winX, winY, winZ, model, proj, view, objX, objY, objZ) gCGraphics.giluUnProject(winX, winY, winZ, model, proj, view, objX, objY, objZ)

#endif // __GIL_OPENGL_ONLY__

#endif // __GIL_H__
